## org.gnu.gtk
Class TextDirection

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.TextDirection

public class TextDirection
extends org.gnu.glib.Enum

Direction for text display.

See Also:
  `TreeView`

Field Summary
`static TextDirection` `LTR`
`static TextDirection` `NONE`
`static TextDirection` `RTL`

Method Summary
`TextDirection` `and(TextDirection other)`
`static TextDirection` `intern(int value)`
`TextDirection` `or(TextDirection other)`
`boolean` `test(TextDirection other)`
`TextDirection` `xor(TextDirection other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final TextDirection NONE

### LTR

    public static final TextDirection LTR

### RTL

    public static final TextDirection RTL

Method Detail

### intern

    public static TextDirection intern(int value)

### or

    public TextDirection or(TextDirection other)

### and

    public TextDirection and(TextDirection other)

### xor

    public TextDirection xor(TextDirection other)

### test

    public boolean test(TextDirection other)